org.optaplanner.core.impl.score.director.drools.testgen.fact

## Class TestGenNullFact

- java.lang.Object
- - org.optaplanner.core.impl.score.director.drools.testgen.fact.TestGenNullFact

- All Implemented Interfaces:
    TestGenFact

      public class TestGenNullFact
      extends Object
      implements TestGenFact

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TestGenNullFact` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<TestGenFact>` | `getDependencies()`
    `List<TestGenFactField>` | `getFields()`
    `List<Class<?>>` | `getImports()`
    `Object` | `getInstance()`
    `void` | `printInitialization(StringBuilder sb)`
    `void` | `printSetup(StringBuilder sb)`
    `void` | `reset()`
    `void` | `setUp(Map<Object,TestGenFact> existingInstances)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final TestGenNullFact INSTANCE

  - ### Method Detail

    - #### setUp

          public void setUp(Map<Object,TestGenFact> existingInstances)

      Specified by:
        `setUp` in interface `TestGenFact`

    - #### getFields

          public List<TestGenFactField> getFields()

      Specified by:
        `getFields` in interface `TestGenFact`

    - #### getDependencies

          public List<TestGenFact> getDependencies()

      Specified by:
        `getDependencies` in interface `TestGenFact`

    - #### getImports

          public List<Class<?>> getImports()

      Specified by:
        `getImports` in interface `TestGenFact`

    - #### reset

          public void reset()

      Specified by:
        `reset` in interface `TestGenFact`

    - #### printInitialization

          public void printInitialization(StringBuilder sb)

      Specified by:
        `printInitialization` in interface `TestGenFact`

    - #### printSetup

          public void printSetup(StringBuilder sb)

      Specified by:
        `printSetup` in interface `TestGenFact`

    - #### getInstance

          public Object getInstance()

      Specified by:
        `getInstance` in interface `TestGenFact`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.